USE AdventureWorks2012
GO
SELECT Title        AS 'Name/@Title', 
	   FirstName    AS 'Name/FirstName',
       LastName     AS 'Name/LastName',
	   JobTitle
  FROM HumanResources.Employee emp INNER JOIN Person.Person p
       ON emp.BusinessEntityID = p.BusinessEntityID
 WHERE emp.BusinessEntityID IN (5,6)
FOR XML PATH('Emp'), ROOT('Emp-List')


-- Ergebnis
/*
<Emp-List>
  <Emp>
    <Name Title="Ms.">
      <FirstName>Gail</FirstName>
      <LastName>Erickson</LastName>
    </Name>
    <JobTitle>Design Engineer</JobTitle>
  </Emp>
  <Emp>
    <Name Title="Mr.">
      <FirstName>Jossef</FirstName>
      <LastName>Goldberg</LastName>
    </Name>
    <JobTitle>Design Engineer</JobTitle>
  </Emp>
</Emp-List>
*/