USE AdventureWorks
GO
SELECT 'Nr: ' + LTRIM(STR(ContactID)) AS "comment()",
       FirstName AS "text()",
       ' ' AS "text()",
       LastName AS "text()"
  FROM Person.Contact
 WHERE ContactID < 3
   FOR XML PATH('Contact'), ROOT('Contact-List')

-- Ergebnis
/*
<Contact-List>
  <Contact>
    <!--Nr: 1-->Gustavo Achong</Contact>
  <Contact>
    <!--Nr: 2-->Catherine Abel</Contact>
</Contact-List>
*/