USE AdventureWorks2012
GO

SELECT  1 AS Tag,
        0 AS Parent,
        DepartmentID  AS [Department!1!DepID],
        Name          AS [Department!1!Name],
        GroupName     AS [Department!1!GroupName],
        NULL          AS [Emp-List!2!DepID!HIDE],
        NULL          AS [Emp!3!Emp-ID],
        NULL          AS [Emp!3!StartDate!ELEMENT],
        NULL          AS [Emp!3!EndDate!ELEMENTXSINIL]
FROM   HumanResources.Department
WHERE  DepartmentID < 3
UNION ALL 
SELECT 2 AS Tag,
       1 AS Parent,
        dep.DepartmentID,
        NULL,
        NULL,
        dep.DepartmentID,
        NULL,
        NULL,
        NULL   
FROM    HumanResources.Department AS dep
WHERE  dep.DepartmentID < 3