
-- I. Eintragen
CREATE XML SCHEMA COLLECTION EmpList AS
N'<?xml version="1.0" standalone="yes"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.contoso.com/empList" targetNamespace="http://www.contoso.com/empList" elementFormDefault="qualified">
  <xs:element name="Emp">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="Emp-ID" type="xs:string"/>
        <xs:element name="Title" type="xs:string"/>
        <xs:element name="BirthDate" type="xs:string"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>'
GO
-- II. Abfragen
-- Welche XML Schema sind in der DB?
SELECT *
  FROM sys.xml_schema_collections
WHERE Name = 'EmpList'
GO
-- Welche Namensrume sind in der DB?
SELECT *
  FROM sys.xml_schema_namespaces
 WHERE Name = 'http://www.contoso.com/empList'
 GO

-- III. ndern
ALTER XML SCHEMA COLLECTION EmpList ADD
N'<?xml version="1.0" standalone="yes"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.contoso.com/empList" targetNamespace="http://www.contoso.com/empList" elementFormDefault="qualified">
  <xs:element name="Emp-List">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="Emp" maxOccurs="unbounded"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>'
GO
-- IV. Lschen
DROP XML SCHEMA COLLECTION EmpList
GO
