<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" version="4.0" encoding="UTF-8" indent="yes"/>
  <!-- Startvorlage -->
  <xsl:template match="/Category-List">
    <html>
      <head>
        <title>Product Catalog</title>
      </head>
      <body>
        <xsl:for-each select="Category">
          <h1>
            <xsl:value-of select="Name"/> (No. <xsl:value-of select="Name/@ID"/>)</h1>
          <xsl:for-each select="SubCategory-List/SubCategory">
            <h2>
              <xsl:value-of select="Name"/> (No. <xsl:value-of select="Name/@ID"/>)</h2>
            <ul>
              <xsl:apply-templates select="Product-List/Product"/>
            </ul>
          </xsl:for-each>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
  <!-- Vorlage für Product -->
  <xsl:template match="Product">
    <li>
      <xsl:value-of select="concat(Name, ' (', P-Nr, ') ,', Prices/Standard)"/>
    </li>
  </xsl:template>
</xsl:stylesheet>
