using System;
using System.Collections.Generic;
using System.Text;

namespace Serialisierung
{
    class Program
    {
        static void Main(string[] args)
        {
            ProductSerializer serializer = new ProductSerializer();
            Product product = serializer.GetProductStandard("SA-M237");
            Console.WriteLine("Standardserialisierung");
            Console.WriteLine("-----------------------");
            Console.WriteLine(product.Name + " " + product.ProductNumber + " " + product.ListPrice);
            Console.WriteLine("Aktualisierung");
            product.ListPrice = product.ListPrice * 1.4;
            product.StandardCost = product.StandardCost * 1.4;
            product.Name = product.Name + " New";
            serializer.UpdateProduct(product);
            Console.WriteLine("-----------------------");
            Console.WriteLine("DOM-Serialisierung");
            product = serializer.GetProductDOM("SA-M237");
            Console.WriteLine("DOM - Serialisierung");
            Console.WriteLine(product.Name + " " + product.ProductNumber + " " + product.ListPrice);
            Console.ReadLine();
        }
    }
}
