USE AdventureWorks
GO
-- NULL als fehlende Elemente (Standardfall)
SELECT EmployeeID, Title, ManagerID
  FROM HumanResources.Employee
 WHERE EmployeeID IN (1,109)
   FOR XML AUTO, ROOT('Emp-List'), ELEMENTS ABSENT

-- Ergebnis
/*
<Emp-List>
  <HumanResources.Employee>
    <EmployeeID>1</EmployeeID>
    <Title>Production Technician - WC60</Title>
    <ManagerID>16</ManagerID>
  </HumanResources.Employee>
  <HumanResources.Employee>
    <EmployeeID>109</EmployeeID>
    <Title>Chief Executive Officer</Title>
  </HumanResources.Employee>
</Emp-List>
*/