USE AdventureWorks2012
GO
SELECT Title        AS 'Name/@Title', 
	   FirstName    AS 'Name/FirstName',
       LastName     AS 'Name/LastName',
	   JobTitle
  FROM HumanResources.Employee emp INNER JOIN Person.Person p
       ON emp.BusinessEntityID = p.BusinessEntityID
 WHERE emp.BusinessEntityID IN (35,109)
FOR XML PATH('Emp'), ROOT('Emp-List')


-- Ergebnis
/*
<Emp-List>
  <Emp>
    <Name>
      <FirstName>Brandon</FirstName>
      <LastName>Heidepriem</LastName>
    </Name>
    <JobTitle>Production Technician - WC60</JobTitle>
  </Emp>
  <Emp>
    <Name>
      <FirstName>Alice</FirstName>
      <LastName>Ciccu</LastName>
    </Name>
    <JobTitle>Production Technician - WC50</JobTitle>
  </Emp>
</Emp-List>
*/