USE AdventureWorks2012
GO
-- Verschachtelte Strukturen (Versuch)
SELECT dep.DepartmentID,
       GroupName,
       edh.BusinessEntityID AS EmployeeID,
       FirstName,
       LastName
  FROM HumanResources.Department AS dep
       INNER JOIN HumanResources.EmployeeDepartmentHistory AS edh
       ON dep.DepartmentID = edh.DepartmentID 
       INNER JOIN HumanResources.Employee AS emp
       ON emp.BusinessEntityID = edh.BusinessEntityID
       INNER JOIN Person.Person AS p
       ON p.BusinessEntityID = emp.BusinessEntityID
 WHERE dep.DepartmentID < 3
GO