USE [AdventureWorks2012]
GO
-- XDR
SELECT BusinessEntityID AS [Emp-ID],
       JobTitle,
       cast(BirthDate as nchar(10)) AS BirthDate
  FROM HumanResources.Employee
 WHERE BusinessEntityID = 17
   FOR XML AUTO, XMLDATA
GO
-- Ergebnis
/*
<Schema name="Schema1" xmlns="urn:schemas-microsoft-com:xml-data" xmlns:dt="urn:schemas-microsoft-com:datatypes">
  <ElementType name="HumanResources.Employee" content="empty" model="closed">
    <AttributeType name="Emp-ID" dt:type="i4" />
    <AttributeType name="Title" dt:type="string" />
    <AttributeType name="BirthDate" dt:type="dateTime" />
    <attribute type="Emp-ID" />
    <attribute type="Title" />
    <attribute type="BirthDate" />
  </ElementType>
</Schema>
<HumanResources.Employee xmlns="x-schema:#Schema1" Emp-ID="17" Title="Production Technician - WC10" BirthDate="1946-05-06T00:00:00" />
*/