USE xsltTestDB
GO
--Anlegen der Funkion zum Transformieren
-- XML als Zeichenketten
CREATE FUNCTION TransformString (
  @InputXML  nvarchar(max),
  @InputXSLT nvarchar(max) )
RETURNS nvarchar(max)
AS EXTERNAL NAME XSLTIntegration.[XSLTTransformer.Transformer].TransformString
GO
-- Pfade und Dateien
CREATE FUNCTION TransformFiles (
  @InputXML  nvarchar(max),
  @InputXSLT nvarchar(max) )
RETURNS nvarchar(max)
AS EXTERNAL NAME XSLTIntegration.[XSLTTransformer.Transformer].TransformFiles
GO
-- Parameter in XML
CREATE FUNCTION TransformXML (
  @InputXMLFile  xml,
  @InputXSLTFile xml )
RETURNS xml
AS EXTERNAL NAME XSLTIntegration.[XSLTTransformer.Transformer].TransformXml
GO