
DECLARE @productXML XML, @productXSLT NVARCHAR(MAX)

SET @productXML = N'<Product-List>
				  <Product>
					<Name>Road-350-W Yellow, 42</Name>
					<ProductNumber>BK-R79Y-42</ProductNumber>
					<ListPrice>1700.9900</ListPrice>
				  </Product>
				  <Product>
					<Name>Road-350-W Yellow, 44</Name>
					<ProductNumber>BK-R79Y-44</ProductNumber>
					<ListPrice>1700.9900</ListPrice>
				  </Product></Product-List>'

-- Fllen der @productXSLT mit Daten
SET @productXSLT=
'<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" version="1.0" indent="yes"/>
  <xsl:template match="/">
    <html>
      <head>
        <title>Product List</title>
      </head>
      <body>
        <ul>
          <xsl:for-each select="//Product">
            <li>
              <xsl:value-of select="Name"/>
            </li>
          </xsl:for-each>
        </ul>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>'

-- XML als Zeichenketten
SELECT dbo.TransformString(CAST(@productXML AS nvarchar(max)),@productXSLT) AS HTML
-- XML-Datentyp
SELECT dbo.TransformXML(@productXML, @productXSLT) AS HTML
-- XML-Dateien
SELECT dbo.TransformFiles('c:\\521_01.xml','c:\\521_01.xslt') AS HTML

